.blog {
  margin: 50px 0;
}
.blog__row {
  display: flex;
  flex-direction: column;
  gap: 20px;
  margin-bottom: 40px;
}
.blog__text {
  color: #333;
  text-align: right;
  font-family: Montserrat;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}
.blog__cards {
  display: grid;
  grid-template-columns: repeat(1, fr);
  gap: 32px;
  margin-bottom: 40px;
}
.blog .button {
  margin-left: auto;
  margin-right: auto;
}
.blog__card {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.blog__card a {
  text-decoration: none;
}
.blog__excerpt {
  color: #333;
  font-family: Montserrat;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}
.blog__info {
  display: flex;
  flex-direction: row;
  gap: 24px;
}
.blog__info span {
  color: #333;
  font-family: Montserrat;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  display: block;
  position: relative;
}
.blog__info span:not(:last-of-type)::after {
  content: "";
  height: 100%;
  width: 1px;
  position: absolute;
  right: -12px;
  background: #C8C8C8;
  top: 0;
  bottom: 0;
}
.blog__title {
  color: #333;
  font-family: Montserrat;
  font-size: 20px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  transition: color 0.12s linear;
}
.blog__title:hover {
  color: #FF6F61;
}
.blog__image {
  height: 100%;
  height: auto;
  align-self: stretch;
  aspect-ratio: 467/275;
  display: block;
  overflow: hidden;
  border-radius: 16px;
}
.blog__image a {
  text-decoration: none;
  display: block;
  height: 100%;
  width: 100%;
}
.blog__image a img {
  width: 100%;
  width: 100%;
  object-fit: cover;
  display: block;
  transition: all 0.12s linear;
}
.blog__image a:hover img {
  transform: scale(1.05);
}
.blog__link {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  gap: 10px;
  align-items: center;
  color: #333;
  font-family: Montserrat;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  text-decoration: underline;
  transition: color 0.12s linear;
}
.blog__link svg path {
  transition: fill 0.12s linear;
}
.blog__link:hover svg path {
  fill: #FF6F61;
}
.blog__link:hover {
  color: #FF6F61;
}

@media (min-width: 800px) {
  .blog__cards {
    grid-template-columns: 1fr 1fr;
  }
}
@media (min-width: 1240px) {
  .blog {
    margin: 100px 0px 75px;
  }
  .blog__row {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
  }
  .blog .button {
    margin-top: 75px;
  }
  .blog__heading {
    grid-column: 1/6;
  }
  .blog__text {
    grid-column: 9/13;
    text-align: right;
    margin-top: auto;
  }
  .blog__link, .blog__excerpt, .blog__text {
    font-size: 16px;
  }
  .blog__info span {
    font-size: 16px;
  }
  .blog__title {
    font-size: 24px;
  }
  .blog__cards {
    grid-template-columns: 1fr 1fr 1fr;
    margin-top: 70px;
  }
}